Subject: Re: bug#64198: Feature request: compile.el's "Find this in" prompt should be hookable.

From: Dave Abrahams <[email-masked]>
Date: Thu, 22 Jun 2023 14:56:04 -0700

> On Jun 22, 2023, at 10:23 AM, Eli Zaretskii <[email-masked]> wrote:

> I must say that you are trying to use compilation-mode in a
> situation for which it was never been designed to be used.

Of course I am, but I don't know why you're saying so.  Compilation-mode was obviously designed to be a general facility, thus the great flexiblity in the regexp alists and compilation-search-path, etc., so the original designer knew their ability to envision the details of future use cases was limited. I'm suggesting a feature that makes it more adaptable to un-envisioned use cases.